/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.TGENEREADEXCEL")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tgenereadexcel.findAll", query = "SELECT t FROM Tgenereadexcel t"),
    @NamedQuery(name = "Tgenereadexcel.findByFilecode", query = "SELECT t FROM Tgenereadexcel t WHERE t.filecode = :filecode"),
    @NamedQuery(name = "Tgenereadexcel.findByFirstrow", query = "SELECT t FROM Tgenereadexcel t WHERE t.firstrow = :firstrow"),
    @NamedQuery(name = "Tgenereadexcel.findByMaxrow", query = "SELECT t FROM Tgenereadexcel t WHERE t.maxrow = :maxrow"),
    @NamedQuery(name = "Tgenereadexcel.findByFirstcolumn", query = "SELECT t FROM Tgenereadexcel t WHERE t.firstcolumn = :firstcolumn"),
    @NamedQuery(name = "Tgenereadexcel.findByMaxcolum", query = "SELECT t FROM Tgenereadexcel t WHERE t.maxcolum = :maxcolum"),
    @NamedQuery(name = "Tgenereadexcel.findByClassname", query = "SELECT t FROM Tgenereadexcel t WHERE t.classname = :classname")})
public class Tgenereadexcel implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "FILECODE")
    private String filecode;
    @Column(name = "FIRSTROW")
    private Short firstrow;
    @Column(name = "MAXROW")
    private Integer maxrow;
    @Column(name = "FIRSTCOLUMN")
    private Short firstcolumn;
    @Column(name = "MAXCOLUM")
    private Short maxcolum;
    @Column(name = "CLASSNAME")
    private String classname;

    public Tgenereadexcel() {
    }

    public Tgenereadexcel(String filecode) {
        this.filecode = filecode;
    }

    public String getFilecode() {
        return filecode;
    }

    public void setFilecode(String filecode) {
        this.filecode = filecode;
    }

    public Short getFirstrow() {
        return firstrow;
    }

    public void setFirstrow(Short firstrow) {
        this.firstrow = firstrow;
    }

    public Integer getMaxrow() {
        return maxrow;
    }

    public void setMaxrow(Integer maxrow) {
        this.maxrow = maxrow;
    }

    public Short getFirstcolumn() {
        return firstcolumn;
    }

    public void setFirstcolumn(Short firstcolumn) {
        this.firstcolumn = firstcolumn;
    }

    public Short getMaxcolum() {
        return maxcolum;
    }

    public void setMaxcolum(Short maxcolum) {
        this.maxcolum = maxcolum;
    }

    public String getClassname() {
        return classname;
    }

    public void setClassname(String classname) {
        this.classname = classname;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (filecode != null ? filecode.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tgenereadexcel)) {
            return false;
        }
        Tgenereadexcel other = (Tgenereadexcel) object;
        if ((this.filecode == null && other.filecode != null) || (this.filecode != null && !this.filecode.equals(other.filecode))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.Tgenereadexcel[ filecode=" + filecode + " ]";
    }
    
}
